Package org.apache.sling.feature.launcher.spi

# Interface LauncherPrepareContext

All Known Subinterfaces:
  `ExtensionContext`

public interface LauncherPrepareContext
This is the context for the launcher

## Method Summary

Modifier and Type
Method
Description
`void`
`addAppJar(URL url)`
`URL`
`getArtifactFile(org.apache.sling.feature.ArtifactId artifact)`
`org.slf4j.Logger`
`getLogger()`
Get the central logger

## Method Details

### getLogger

org.slf4j.Logger getLogger()
Get the central logger

Returns:
  The logger

### addAppJar

void addAppJar(URL url)

### getArtifactFile

URL getArtifactFile(org.apache.sling.feature.ArtifactId artifact) throws IOException

Throws:
  `IOException`